MySQL 5.1 End Of Life

As of December 31, 2013, Oracle will no longer distribute updates for MySQL 5.1.

To facilitate migration from MySQL 5.1 to 5.5 or 5.6, we will continue to support MySQL 5.1 through the life of cPanel & WHM software version 11.42. Of course, we also encourage you to upgrade your version of MySQL sooner if at all possible.

Beginning with cPanel & WHM version 11.44, upgrades will require MySQL 5.5 or higher. We expect to release this version in May or June of 2014.

To upgrade your version of MySQL, use WHM’s “MySQL Upgrade” interface, which is located at Home >> Software >> MySQL Upgrade.

For more information about the upgrade from MySQL 5.1 to 5.5, see Oracle’s documentation or visit MySQL Technical Support.

This entry was posted in Product Development and tagged , , , , . Bookmark the permalink.
  • jeffatrackaid

    Will you be providing backwards compatible shared libraries? We have noticed issues on several systems moving to MySQL 5.1 that older shared-compat libs are not provided by cPanel sources. This can cause some non-cPanel resources (like 3rd party monitoring tools) to fail since they require MySQL 5.0 libraries.

    • Todd Rinaldo

      I’m not aware of any such dependencies of 3rd party software on the MySQL 5.0 that cPanel ships. Can you list any of these software tools that require such?

      Thanks,
      Todd